package com.dataart.viewer.product.model.vo;

import java.math.BigDecimal;
import org.codehaus.jackson.annotate.JsonAutoDetect;

/**
 *
 * @author volkodavav
 */
@JsonAutoDetect
public class ProductVO {

    private String name;
    private BigDecimal price;
    private String group;

    public ProductVO() {
    }

    public ProductVO(String name, BigDecimal price, String group) {
        this.name = name;
        this.price = price;
        this.group = group;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    @Override
    public String toString() {
        return "Product name=" + name + ", price=" + price + ", group=" + group;
    }
}
