package com.dataart.viewer.product.repository;

import com.dataart.viewer.product.model.impl.ProductGroup;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author volkodavav
 */
@Transactional
public interface ProductGroupRepository extends JpaRepository<ProductGroup, Long>, QueryDslPredicateExecutor<ProductGroup> {

    ProductGroup findByName(String name);
}