<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<meta http-equiv="cache-control" content="max-age=0" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<meta http-equiv="expires" content="Thu, 01 Jan 1970 1:00:00 GMT" />
<meta http-equiv="pragma" content="no-cache" />

<script>
    // Before ExtJS initialization
    // Global variables
    if (typeof console === 'undefined' || typeof console.log === 'undefined') {
        console = {
            log: function() {
                // nothing here
            }
        };
    }
</script>

<!--Ext JS files-->
<link rel="stylesheet" type="text/css" href="<c:url value="/resources/ext-4/resources/css/ext-all.css"/>"/>
<script src="<c:url value="/resources/ext-4/ext-all-dev.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/TabCloseMenu.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/grid/PagingToolbarResizer.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/grid/FiltersFeature.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/grid/filter/Filter.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/grid/filter/DateFilter.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/grid/filter/BooleanFilter.js"/>"></script>
<script src="<c:url value="/resources/ext-4/ux/grid/menu/ListMenu.js"/>"></script>

<!--Ext user extensions-->
<link rel="stylesheet" type="text/css" href="<c:url value="/resources/ext-4/ux/grid/css/GridFilters.css"/>" />
<link rel="stylesheet" type="text/css" href="<c:url value="/resources/ext-4/ux/grid/css/RangeMenu.css"/>" />
<link rel="stylesheet" type="text/css" href="<c:url value="/resources/ext-4/ux/css/GroupTabPanel.css"/>" />
<link rel="stylesheet" type="text/css" href="<c:url value="/resources/ext-4/ux/css/TabScrollerMenu.css"/>" />

<script>
    // After ExtJS initialization
    // Set ExtJS options
    Ext.Loader.setConfig({
        enabled: true,
        paths: {
            Ext: '<c:url value="/resources/ext-4"/>',
            'Ext.ux': '<c:url value="/resources/ext-4/ux"/>',
            'DataArt': '<c:url value="/app"/>',
            'Shared': '<c:url value="/app/shared"/>'
        }
    });

    // TODO: REMOVE ME AFTER FIX: http://www.sencha.com/forum/showthread.php?260106-Tooltips-on-forms-and-grid-are-not-resizing-to-the-size-of-the-text/page3#24
    // temporary workaround for tip container: http://www.sencha.com/forum/showthread.php?257201 ; http://stackoverflow.com/questions/15834689/extjs-4-2-tooltips-not-wide-enough-to-see-contents*/
    delete Ext.tip.Tip.prototype.minWidth;

    if (Ext.isIE10) {
        Ext.supports.Direct2DBug = true;
    }

    Ext.tip.QuickTipManager.init();
    Ext.BLANK_IMAGE_URL = '<c:url value="/resources/ext-4/resources/themes/images/default/tree/s.gif"/>';
</script>

<style type="text/css">
    .empty-text-field {
        background-image:url(<c:url value="/resources/images/cross-small-icon.png"/>) !important;
        background-repeat: no-repeat;
        background-position: left center;
        padding-left: 20px;
    }

    .icon-data-grid {
        background-image: url(<c:url value="/resources/images/data-grid-icon.png"/>) !important;
    }
    .icon-cross-small {
        background-image: url(<c:url value="/resources/images/cross-small-icon.png"/>) !important;
    }
    .icon-dataart-logo {
        background-image: url(<c:url value="/resources/images/dataart-logo-icon.png"/>) !important;
    }
</style>
