Ext.define('DataArt.store.ProductGroups', {
  extend: 'Ext.data.TreeStore',
  autoLoad: true,
  dialogUtil: Ext.create("Shared.lib.DialogUtil"),
  listeners: {
    exception: function(proxy, response, operation) {
      var me = this,
        message = APP_ENV['app.error.errorNotIdentified'];

      if (operation && operation.getError()) {
        var error = operation.getError();
        message = APP_ENV['app.js.ajax.response.statusText'] + ' ' + error.statusText + '; ' + APP_ENV['app.js.ajax.response.status'] + ' ' + error.status;
      }

      me.dialogUtil.showErrorDialog(APP_ENV['app.error.remote.exception.message'], message);
    }
  }
});