package com.dataart.viewer.product.model.vo;

import org.codehaus.jackson.annotate.JsonAutoDetect;

/**
 *
 * @author volkodavav
 */
@JsonAutoDetect
public class ProductGroupResultVO {

    private String group;
    private long number;

    public ProductGroupResultVO() {
    }

    public ProductGroupResultVO(String group, long number) {
        this.group = group;
        this.number = number;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public long getNumber() {
        return number;
    }

    public void setNumber(long number) {
        this.number = number;
    }

    public void addNumber(long number) {
        this.number += number;
    }

    @Override
    public String toString() {
        return "Product group result=" + group + ", number=" + number;
    }
}
