package com.dataart.viewer.product.service;

import com.dataart.viewer.product.model.vo.ProductVO;
import com.dataart.viewer.product.model.vo.ProductGroupResultVO;
import java.util.List;
import org.springframework.data.domain.Page;

/**
 *
 * @author volkodavav
 */
public interface ProductService {

    Page<ProductVO> getCurrentPage(int start, int limit, int total, String filter, String sort);

    List<ProductGroupResultVO> countProductsGroupedByGroupName();

    void deleteAllProducts();

    long count();

    ProductVO save(ProductVO product);

    List<ProductVO> findByGroupName(String groupName);
}
