Ext.define('DataArt.view.Viewport', {
  extend: 'Ext.container.Viewport',
  xtype: 'viewviewport',
  requires: [
    'Ext.layout.container.Border'
  ],
  layout: 'border',
  initComponent: function() {
    var me = this;
    // create config object
    var config = {};

    // build config properties
    Ext.apply(config, {
      items: me.buildItems()
    });

    // apply config
    Ext.apply(me, Ext.apply(me.initialConfig, config));

    // call parent
    me.callParent(arguments);
  },
  // builders
  buildItems: function() {
    return [{
        region: 'north',
        title: APP_ENV['app.message.title'],
        iconCls: 'icon-dataart-logo',
        xtype: 'panel'
      }, {
        region: 'south',
        title: APP_ENV['applicationCopyright']
      }, {
        region: 'west',
        xtype: 'productgrouplist'
      }, {
        region: 'center',
        xtype: 'productlist'
      }];
  }
});